<style lang="scss">
    #header {
        display: grid;
        gap: 7px;
        margin: 30px;

        span#title {
            font-size: 2rem;
        }

        span#subtitle {
            font-size: 1.5rem;
            filter: brightness(0.8);
        }
    }

    #buttons {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, 50px);
        gap: 3px;

        font-size: 1.05rem;
        filter: opacity(0.9);
    }
</style>

<script>
    import config from '../../config.json';
    import dateformat from 'dateformat';

    import CardRightLink from './cardRightLink.svelte';
</script>

<div id="main">
    <div id="header">
        <span id="title"> Welcome, { config.name } </span>
        <span id="subtitle"> Today is {dateformat("dddd")}, the {dateformat("dS")} of {dateformat("mmmm")} </span>
    </div>
    <div id="buttons">
        {#each config.links as main }
            <CardRightLink {...main}/>
        {/each}
    </div>
</div>